From 4be55b5b5e566faad441824910b4e49c6b5f5879 Mon Sep 17 00:00:00 2001
From: Timur Birsh <taem@linukz.org>
Date: Wed, 12 Jun 2019 05:56:44 +0000
Subject: [PATCH 2/2] vacuumlo: print how many LOs removed in percent

---
 contrib/vacuumlo/vacuumlo.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/contrib/vacuumlo/vacuumlo.c b/contrib/vacuumlo/vacuumlo.c
index beade1c9c0..5d629264f1 100644
--- a/contrib/vacuumlo/vacuumlo.c
+++ b/contrib/vacuumlo/vacuumlo.c
@@ -359,7 +359,8 @@ vacuumlo(const char *database, const struct _param *param)
 
 			if (param->verbose)
 			{
-				fprintf(stdout, "\rRemoving lo %6u   ", lo);
+				fprintf(stdout, "\rRemoving lo %6u\t(%3.f%%)", lo,
+						((float) deleted / (float) to_delete) * 100);
 				fflush(stdout);
 			}
 
-- 
2.17.1

